package com.facebook.internal;

import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import org.json.JSONArray;
import org.json.JSONObject;

class BundleJSONConverter$6 implements BundleJSONConverter$Setter {
    BundleJSONConverter$6() {
    }

    public final void setOnBundle(Bundle bundle, String str, Object obj) {
        AppMethodBeat.i(72260);
        IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Unexpected type from JSON");
        AppMethodBeat.o(72260);
        throw illegalArgumentException;
    }

    public final void setOnJSON(JSONObject jSONObject, String str, Object obj) {
        AppMethodBeat.i(72261);
        JSONArray jSONArray = new JSONArray();
        for (Object put : (String[]) obj) {
            jSONArray.put(put);
        }
        jSONObject.put(str, jSONArray);
        AppMethodBeat.o(72261);
    }
}
